Subject: Re: mmotm 2016-08-02-15-53 uploaded

From: Andrew Morton <[email-masked]>
Date: Tue, 10 Oct 2017 12:37:49 -0700

On Tue, 10 Oct 2017 14:06:41 -0400 Vitaly Mayatskih <[email-masked]> wrote:

> * ocfs2-dlm-continue-to-purge-recovery-lockres-when-recovery
> -master-goes-down.patch
> 
> This one completely broke two node cluster use case: when one node dies,
> the other one either eventually crashes (~4.14-rc4) or locks up (pre-4.14).

Are you sure?

Are you able to confirm that reverting this patch (ee8f7fcbe638b07e8)
and only this patch fixes up current mainline kernels?

Are you able to supply more info on the crashes and lockups so that the
ocfs2 developers can understand the failures?

Thanks.